Package org.kapott.hbci.datatypes

# Class SyntaxCur

java.lang.Object
org.kapott.hbci.datatypes.SyntaxDE
org.kapott.hbci.datatypes.SyntaxCur

public final class SyntaxCur extends SyntaxDE

## Constructor Summary

Constructors
Constructor
Description
`SyntaxCur(StringBuffer res, int minsize, int maxsize)`
`SyntaxCur(String x, int minsize, int maxsize)`

## Method Summary

Modifier and Type
Method
Description
`void`
`init(StringBuffer res, int minsize, int maxsize)`
`void`
`init(String x, int minsize, int maxsize)`

### Methods inherited from class org.kapott.hbci.datatypes.SyntaxDE

`destroy, findNextDelim, getContent, init, setContent, skipPreDelim, toString, toString`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

## Constructor Details

### SyntaxCur

public SyntaxCur(String x, int minsize, int maxsize)

### SyntaxCur

public SyntaxCur(StringBuffer res, int minsize, int maxsize)

## Method Details

### init

public void init(String x, int minsize, int maxsize)

Overrides:
  `init` in class `SyntaxDE`

### init

public void init(StringBuffer res, int minsize, int maxsize)

Overrides:
  `init` in class `SyntaxDE`